<!--begin::Portlet-->
<div id="attributes-portlet" class="m-portlet" xmlns="http://www.w3.org/1999/html">
    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>
                <h3 class="m-portlet__head-text">
                    Select Recipient <small>Notice: If you don't select existing user new one with provided info will be created after order is created!</small>
                </h3>
            </div>
        </div>
    </div>

    <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" @submit.prevent="">
        <div class="m-portlet__body">
            <div class="form-group m-form__group row">

                <div class="col-lg-6">
                    <ValidationProvider rules="" v-slot="{ errors }" name="customer" ref="billing_info.user_id">
                        <label class="">Select User:</label>
                        <autocomplete-component :key="autocompleteKey"
                                                entity="users"
                                                :disabled="!existingUser"
                                                :defaultText="defaultUserName"
                                                :styles="errors.length > 0 ? 'is-invalid form-control m-input' : 'form-control m-input'"
                                                @itemSelected="setUser">
                        </autocomplete-component>
                        <div v-if="errors.length > 0" class="invalid-feedback" style="display: inline !important;">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please select user</span>
                    </ValidationProvider>
                </div>

                <div class="col-lg-6">
                    <label>Existing User:</label>
                    <br>
                    <span class="m-switch m-switch--lg m-switch--icon">
                        <label>
                            <input type="checkbox" checked="checked" v-model="existingUser">
                            <span></span>
                        </label>
                    </span>
                    <br>
                    <span class="m-form__help">Please select user type</span>
                </div>
            </div>
        </div>
    </form>

    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>
                <h3 class="m-portlet__head-text">
                    Create Billing Info
                </h3>
            </div>
        </div>
    </div>

    <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" @submit.prevent="">
        <div class="m-portlet__body">
            <div class="form-group m-form__group">
                <ValidationProvider rules="required" v-slot="{ errors }" name="status" ref="billing_info.status">
                    <label class="">Order Status: </label>
                    <small>(Notice: Whenever status is changed, order products will reset in order for fresh data which depend on order status)</small>
                    <select-component v-model="billingInfo.status" :styles="{ 'is-invalid': errors.length > 0, 'form-control m-input': true }" :data="orderStatuses"></select-component>
                    <div v-if="errors.length > 0" class="invalid-feedback">
                        {{ errors[0] }}
                    </div>
                    <span v-else class="m-form__help" style="color: red">(Notice: Accept and Declined statuses are final, without possibility to update order is created)</span>
                </ValidationProvider>
            </div>

            <div class="form-group m-form__group">
                <ValidationProvider rules="required" v-slot="{ errors }" name="status" ref="billing_info.delivery_company">
                    <label class="">Delivery Company: </label>
                    <select-component v-model="billingInfo.delivery_company" :styles="{ 'is-invalid': errors.length > 0, 'form-control m-input': true }" :data="deliveryCompanies"></select-component>
                    <div v-if="errors.length > 0" class="invalid-feedback">
                        {{ errors[0] }}
                    </div>
                </ValidationProvider>
            </div>

            <div class="form-group m-form__group">
                <div class="row">
                    <div :class="existingUser == false && billingInfo.user_id != null ? 'col-lg-4' : 'col-lg-6'">
                        <ValidationProvider rules="required" v-slot="{ errors }" name="billing name" ref="billing_info.billing_name">
                            <label>Billing Name:</label>
                            <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter billing name" v-model="billingInfo.billing_name">
                            <div v-if="errors.length > 0" class="invalid-feedback">
                                {{ errors[0] }}
                            </div>
                            <span v-else class="m-form__help">Please enter billing name</span>
                        </ValidationProvider>
                    </div>

                    <div v-if="existingUser == false" class="col-lg-4">
                        <ValidationProvider rules="required" v-slot="{ errors }" name="billing email" ref="billing_info.billing_email">
                            <label>Billing Email:</label>
                            <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter billing email" v-model="billingInfo.billing_email">
                            <div v-if="errors.length > 0" class="invalid-feedback">
                                {{ errors[0] }}
                            </div>
                            <span v-else class="m-form__help">Please enter billing email</span>
                        </ValidationProvider>
                    </div>

                    <div :class="existingUser == false && billingInfo.user_id != null ? 'col-lg-4' : 'col-lg-6'">
                        <ValidationProvider rules="required" v-slot="{ errors }" name="billing phone number" ref="billing_info.billing_phone_number">
                            <label>Billing Phone Number:</label>
                            <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter billing phone number" v-model="billingInfo.billing_phone_number">
                            <div v-if="errors.length > 0" class="invalid-feedback">
                                {{ errors[0] }}
                            </div>
                            <span v-else class="m-form__help">Please enter billing phone number</span>
                        </ValidationProvider>
                    </div>
                </div>
            </div>
            <div class="form-group m-form__group">

                <div class="row">
                    <div class="col-lg-6">
                        <ValidationProvider rules="required" v-slot="{ errors }" name="billing address" ref="billing_info.billing_address">
                            <label>Billing Address:</label>
                            <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter billing address" v-model="billingInfo.billing_address">
                            <div v-if="errors.length > 0" class="invalid-feedback">
                                {{ errors[0] }}
                            </div>
                            <span v-else class="m-form__help">Please enter billing address</span>
                        </ValidationProvider>
                    </div>

                    <div class="col-lg-6">
                        <ValidationProvider rules="required" v-slot="{ errors }" name="billing city" ref="billing_info.billing_city">
                            <label>Billing City:</label>
                            <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter billing city" v-model="billingInfo.billing_city">
                            <div v-if="errors.length > 0" class="invalid-feedback">
                                {{ errors[0] }}
                            </div>
                            <span v-else class="m-form__help">Please enter billing city</span>
                        </ValidationProvider>
                    </div>
                </div>

                <div class="row">
                    <div class="col-lg-6">
                        <ValidationProvider rules="" v-slot="{ errors }" name="billing state" ref="billing_info.billing_state">
                            <label>Billing State:</label>
                            <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter billing state" v-model="billingInfo.billing_state">
                            <div v-if="errors.length > 0" class="invalid-feedback">
                                {{ errors[0] }}
                            </div>
                            <span v-else class="m-form__help">Please enter billing state</span>
                        </ValidationProvider>
                    </div>

                    <div class="col-lg-6">
                        <ValidationProvider rules="required" v-slot="{ errors }" name="billing zip" ref="billing_info.billing_zip">
                            <label>Billing Zip:</label>
                            <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter billing zip" v-model="billingInfo.billing_zip">
                            <div v-if="errors.length > 0" class="invalid-feedback">
                                {{ errors[0] }}
                            </div>
                            <span v-else class="m-form__help">Please enter billing zip</span>
                        </ValidationProvider>
                    </div>
                </div>
            </div>
            <div class="form-group m-form__group">
                <div class="row">
                    <div class="col-lg-4">
                        <ValidationProvider rules="required|numeric" v-slot="{ errors }" name="billing floor" ref="billing_info.billing_floor">
                            <label>Billing Floor:</label>
                            <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter billing floor" v-model="billingInfo.billing_floor">
                            <div v-if="errors.length > 0" class="invalid-feedback">
                                {{ errors[0] }}
                            </div>
                            <span v-else class="m-form__help">Please enter billing floor</span>
                        </ValidationProvider>
                    </div>

                    <div class="col-lg-4">
                        <ValidationProvider rules="required" v-slot="{ errors }" name="billing intercom" ref="billing_info.billing_intercom">
                            <label>Billing Intercom:</label>
                            <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter billing intercom" v-model="billingInfo.billing_intercom">
                            <div v-if="errors.length > 0" class="invalid-feedback">
                                {{ errors[0] }}
                            </div>
                            <span v-else class="m-form__help">Please enter billing intercom</span>
                        </ValidationProvider>
                    </div>

                    <div class="col-lg-4">
                        <ValidationProvider rules="required" v-slot="{ errors }" name="billing flat" ref="billing_info.billing_flat">
                            <label>Billing Flat:</label>
                            <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter billing flat" v-model="billingInfo.billing_flat">
                            <div v-if="errors.length > 0" class="invalid-feedback">
                                {{ errors[0] }}
                            </div>
                            <span v-else class="m-form__help">Please enter billing flat</span>
                        </ValidationProvider>
                    </div>
                </div>
            </div>

            <div class="form-group m-form__group">
                <div class="row">
                    <div class="col-lg-6">
                        <ValidationProvider rules="" v-slot="{ errors }" name="user comment" ref="billing_info.user_comment">
                            <label>Customer Comment:</label>
                            <textarea class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" v-model="billingInfo.user_comment"></textarea>
                            <div v-if="errors.length > 0" class="invalid-feedback">
                                {{ errors[0] }}
                            </div>
                            <span v-else class="m-form__helper">Please enter customer comment</span>
                        </ValidationProvider>
                    </div>
                    <div class="col-lg-6">
                        <ValidationProvider rules="" v-slot="{ errors }" name="admin comment" ref="billing_info.admin_comment">
                            <label>Admin Comment:</label>
                            <textarea class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" v-model="billingInfo.admin_comment"></textarea>
                            <div v-if="errors.length > 0" class="invalid-feedback">
                                {{ errors[0] }}
                            </div>
                            <span v-else class="m-form__helper">Please enter admin comment</span>
                        </ValidationProvider>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>